Merge pull request #3626 from hashicorp/b-travis-noverbose-tests

Make tests running on Travis not be verbose
This commit is contained in:
Preetha 2017-12-07 10:54:57 -06:00 committed by GitHub
commit 8630a3d2af
No known key found for this signature in database
GPG key ID: 4AEE18F83AFDEB23
2 changed files with 22 additions and 9 deletions

View file

@ -22,6 +22,13 @@ ifeq (0,$(shell pkg-config --exists lxc; echo $$?))
HAS_LXC="true"
endif
ifeq ($(TRAVIS),true)
$(info Running in Travis, verbose mode is disabled)
else
VERBOSE="true"
endif
ALL_TARGETS += linux_386 \
linux_amd64 \
linux_arm \
@ -227,17 +234,13 @@ test: ## Run the Nomad test suite and/or the Nomad UI test suite
test-nomad: dev ## Run Nomad test suites
@echo "==> Running Nomad test suites:"
@NOMAD_TEST_RKT=1 \
go test \
-v \
go test $(if $(VERBOSE),-v) \
-cover \
-timeout=900s \
-tags="nomad_test $(if $(HAS_LXC),lxc)" ./... >test.log ; echo $$? > exit-code
@echo "Exit code: $$(cat exit-code)" >> test.log
@grep -A1 -- '--- FAIL:' test.log || true
@grep '^FAIL' test.log || true
@grep -A10 'panic' test.log || true
@test "$$TRAVIS" == "true" && cat test.log || true
@if [ "$$(cat exit-code)" == "0" ] ; then echo "PASS" ; exit 0 ; else exit 1 ; fi
-tags="nomad_test $(if $(HAS_LXC),lxc)" ./... $(if $(VERBOSE), >test.log ; echo $$? > exit-code)
@if [ $(VERBOSE) ] ; then \
bash -C "$(PROJECT_ROOT)/scripts/test_check.sh" ; \
fi
.PHONY: clean
clean: GOPATH=$(shell go env GOPATH)

10
scripts/test_check.sh Executable file
View file

@ -0,0 +1,10 @@
#!/usr/bin/env bash
echo "Exit code: $(cat exit-code)" >> test.log;
grep -A10 'panic: test timed out' test.log || true;
grep -A1 -- '--- SKIP:' test.log || true;
grep -A1 -- '--- FAIL:' test.log || true;
grep '^FAIL' test.log || true;
exit_code=`cat exit-code`
echo $exit_code
if [ ${exit_code} == "0" ]; then echo "PASS" ; exit 0 ; else echo "TESTS FAILED"; exit 1 ; fi